shuffle.hpp File Reference

## Functions

template<typename I , typename S , typename Gen = detail::default_random_engine &>
CPP_TEMPLATE_AUX_0 | ranges::I (requires ` random_access_iterator< I > &&sentinel_for< S, I > &&permutable< I > &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen & >, iter_difference_t< I >>) III shuffle(I const first
| function template `shuffle`

## Variables

CPP_TEMPLATE_AUX_0 S const Gen && | ranges::gen